// Linear discounting interpolated LMs


//Witten and Bell linear discounting

class linearwb: public mdiadaptlm{
  int prunethresh;
  int minfreqthresh;
 public:
  linearwb(char* ngtfile,int depth=0,int prunefreq=0,TABLETYPE tt=SHIFTBETA_B);
  int train();
  int discount(ngram ng,int size,double& fstar,double& lambda,int cv=0);
  ~linearwb(){};
};



//Good Turing linear discounting

//no more supported
